%global prjname MControlCenter

Name:           mcontrolcenter
Version:        0.5.1
Release:        1%{?dist}
Summary:        Application for changing the settings of MSI laptops
License:        GPL-3.0
Group:          System/Management
URL:            https://github.com/dmitry-s93/%{prjname}
Source:         %{url}/archive/refs/tags/%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig
BuildRequires:  gcc-c++
BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-qttools-devel
BuildRequires:  qt6-qttools-static
BuildRequires:  qt6-qtbase-gui
BuildRequires:  hicolor-icon-theme

Requires:       qt6-qtbase
Requires:       qt6-qtbase-gui

%description
An application that allows you to change the settings of MSI laptops running Linux

%prep
%autosetup -n %{prjname}-%{version}

%build

%cmake
%cmake_build

%install

install -Dpm0755 %{_vpath_builddir}/mcontrolcenter %{buildroot}%{_bindir}/mcontrolcenter
install -Dpm0755 %{_vpath_builddir}/helper/mcontrolcenter-helper %{buildroot}%{_libexecdir}/mcontrolcenter-helper

install -Dpm0644 src/helper/mcontrolcenter-helper.conf %{buildroot}%{_datadir}/dbus-1/system.d/mcontrolcenter-helper.conf
install -Dpm0644 src/helper/mcontrolcenter.helper.service %{buildroot}%{_datadir}/dbus-1/system-services/mcontrolcenter.helper.service

install -Dpm0644 resources/mcontrolcenter.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
install -Dpm0644 resources/mcontrolcenter.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -Dpm0644 resources/mcontrolcenter.appdata.xml %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml

%files
%license LICENSE
%doc README.md
%{_bindir}/mcontrolcenter
%{_libexecdir}/mcontrolcenter-helper
%{_datadir}/dbus-1/system.d/mcontrolcenter-helper.conf
%{_datadir}/dbus-1/system-services/mcontrolcenter.helper.service
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
